﻿Imports System.Data
Imports vb = Microsoft.VisualBasic

Partial Class company_division
    Inherits System.Web.UI.Page
   Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim ds As DataSet = get_dataset("SELECT usr_sl, staf_sl, month_nm, emp_code, emp_nm, desg, category, uan_no, pay_month, pay_year, loc_cd, gross, basic_amt, da_amt, hra_amt, transport_amt, child_amt, city_amt, spcl_amt, pf_amt, comp_pf_amt, esic_amt, comp_esic_amt, pt_amt, tds_amt, loan_amt, othr_earnings, othr_deuction, tot_earnings, tot_deduction, wages, tot_reimbursment, total, pay_days, tot_days, tot_present, tot_half, tot_week, tot_absnt, tot_leave, tot_holi, l1, l2, l3, l4, l5, l6, washing_amt, (Case WHEN a1<>'' THEN a1 WHEN a1='' THEN '&nbsp;' END) as a1,(Case WHEN a2<>'' THEN a2  WHEN a2='' THEN '&nbsp;' END) as a2, (Case WHEN a3<>'' THEN a3  WHEN a3='' THEN '&nbsp;' END) as a3,(Case WHEN a4<>'' THEN a4  WHEN a4='' THEN '&nbsp;' END) as a4,(Case WHEN a5<>'' THEN a5  WHEN a5='' THEN '&nbsp;' END) as a5, d1, d2, d3, d4, d5, a1_amt, a2_amt, a3_amt, a4_amt, a5_amt, d1_amt, d2_amt, d3_amt, d4_amt, d5_amt, in_words, comp_name FROM print_payslip where usr_sl=" & CType(Session("usr_sl"), Integer) & "")
        Label1.Text = ""
        For i As Integer = 0 To ds.Tables(0).Rows.Count - 1
            If i > 0 Then
                Label1.Text = Label1.Text & "<br/><br/><br/><br/><br/>"
            End If
            Label1.Text = Label1.Text & "<div style=""border: 2px solid #000000;""><table style=""width: 100%;""><tr><td><table style=""width:100%;""><tr><td width=""45%"">" & _
            "<strong>Month : " & ds.Tables(0).Rows(i).Item("month_nm") & "-" & ds.Tables(0).Rows(i).Item("pay_year") & "</strong></td><td width=""10%""></td><td width=""45%""></td></tr><tr><td><strong>Employee Name :</strong> " & ds.Tables(0).Rows(i).Item("emp_nm") & "</td><td></td>" & _
            "<td><strong>Designation :</strong> " & ds.Tables(0).Rows(i).Item("desg") & "</td></tr><tr><td><strong>Employee Id :</strong> " & ds.Tables(0).Rows(i).Item("emp_code") & "</td><td></td><td><strong>UAN No :</strong>" & _
            "" & ds.Tables(0).Rows(i).Item("uan_no") & "</td></tr><tr><td><strong>Total Days :</strong> " & ds.Tables(0).Rows(i).Item("tot_days") & " </td><td></td><td><strong>Payable Days :</strong> " & ds.Tables(0).Rows(i).Item("pay_days") & "</td></tr></table></td></tr><tr><td>" & _
            "<div><table style=""width:100%;vertical-align: text-top;"" border=""1""><tr><td align=""center"" width=""30%""><b>Description</b></td><td align=""center"" width=""17.5%""><strong>Amount" & _
            "</strong></td><td align=""center""width=""5%""></td><td align=""center"" width=""30%""><strong>Description</strong></td><td width=""17.5%"" align=""center"">" & _
            "<strong>Amount</strong></td></tr></table></td></tr><tr><td><table style=""width:100%;""><tr><td width=""30%"">Basic Salary</td><td align=""right"" width=""17.5%"">" & _
            "" & Format(ds.Tables(0).Rows(i).Item("basic_amt"), "#0.00") & "</td><td align=""center"" width=""5%""></td><td align=""left"" width=""30%"">EPF</td><td width=""17.5%"" align=""right"">" & Format(ds.Tables(0).Rows(i).Item("pf_amt"), "#0.00") & "</td></tr><tr>" & _
            "<td width=""30%"">HRA</td><td align=""right"" width=""17.5%"">" & Format(ds.Tables(0).Rows(i).Item("hra_amt"), "#0.00") & "</td><td width=""5%""></td><td width=""30%"">ESIC</td><td width=""17.5%"" " & _
            "align=""right"">" & Format(ds.Tables(0).Rows(i).Item("esic_amt"), "#0.00") & "</td></tr><tr><td width=""30%"">Children Education</td><td align=""right"" width=""17.5%"">" & Format(ds.Tables(0).Rows(i).Item("child_amt"), "#0.00") & "</td><td width=""5%""></td>" & _
            "<td width=""30%"">PT</td><td width=""17.5%"" align=""right"">" & Format(ds.Tables(0).Rows(i).Item("pt_amt"), "#0.00") & "</td></tr><tr><td width=""30%"">Special Allowance</td><td align=""right"" " & _
            "width=""17.5%"">" & Format(ds.Tables(0).Rows(i).Item("spcl_amt"), "#0.00") & "</td><td width=""5%""></td><td width=""30%"">TDS</td><td width=""17.5%"" align=""right"">" & Format(ds.Tables(0).Rows(i).Item("tds_amt"), "#0.00") & "</td></tr><tr>" & _
            "<td width=""30%"">" & ds.Tables(0).Rows(i).Item("a1") & "</td><td align=""right"" width=""17.5%"">" & ds.Tables(0).Rows(i).Item("a1_amt") & "</td><td width=""5%""></td><td width=""30%"">Loan / Advance</td>" & _
            "<td width=""17.5%"" align=""right"">" & Format(ds.Tables(0).Rows(i).Item("loan_amt"), "#0.00") & "</td></tr><tr><td width=""30%"">" & ds.Tables(0).Rows(i).Item("a2") & "</td><td align=""right"" width=""17.5%"">" & ds.Tables(0).Rows(i).Item("a2_amt") & "</td><td " & _
            "width=""5%""></td><td width=""30%"">" & ds.Tables(0).Rows(i).Item("d1") & "</td><td width=""17.5%"" align=""right"">" & ds.Tables(0).Rows(i).Item("d1_amt") & "</td></tr><tr><td width=""30%"">" & ds.Tables(0).Rows(i).Item("a3") & "</td><td align=""right"" " & _
            "width=""17.5%"">" & ds.Tables(0).Rows(i).Item("a3_amt") & "</td><td width=""5%""></td><td width=""30%"">" & ds.Tables(0).Rows(i).Item("d2") & "</td><td width=""17.5%"" align=""right"">" & ds.Tables(0).Rows(i).Item("d2_amt") & "</td></tr><tr><td width=""30%"">" & ds.Tables(0).Rows(i).Item("a4") & "</td>" & _
            "<td align=""right"" width=""17.5%"">" & ds.Tables(0).Rows(i).Item("a4_amt") & "</td><td width=""5%""></td><td width=""30%"">" & ds.Tables(0).Rows(i).Item("d3") & "</td><td width=""17.5%"" align=""right"">" & ds.Tables(0).Rows(i).Item("d3_amt") & "</td></tr><tr>" & _
            "<td width=""30%"">" & ds.Tables(0).Rows(i).Item("a5") & "</td><td align=""right"" width=""17.5%"">" & ds.Tables(0).Rows(i).Item("a5_amt") & "</td><td width=""5%""></td><td width=""30%"">" & ds.Tables(0).Rows(i).Item("d4") & "</td><td width=""17.5%"" align=""right""" & _
            ">" & ds.Tables(0).Rows(i).Item("d4_amt") & "</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%"">" & ds.Tables(0).Rows(i).Item("d5") & "</td><td width=""17.5%"" " & _
            "align=""right"">" & ds.Tables(0).Rows(i).Item("d5_amt") & "</td></tr></table></div></td></tr><tr><td><table style=""width:100%;"" border=""1""><tr><td align=""left"" width=""30%""><strong>TotalEarnings" & _
            "</strong></td><td align=""right"" width=""17.5%"">" & Format(ds.Tables(0).Rows(i).Item("tot_earnings"), "#0.00") & "</td><td align=""center"" width=""5%""></td><td align=""left"" width=""30%""><strong>Total Deduction" & _
            "</strong></td><td width=""17.5%"" align=""right"">" & Format(ds.Tables(0).Rows(i).Item("tot_deduction"), "#0.00") & "</td></tr></table></td></tr><tr><td><b>Net Payable : " & Format(ds.Tables(0).Rows(i).Item("total"), "#0000") & ".00</b></td></tr><tr><td>In Words : " & AmtInWord(Format(ds.Tables(0).Rows(i).Item("total"), "#0000")) & "</td></tr><tr>" & _
            "<td></td></tr><tr><td></td></tr><tr><td><table style=""width:100%;""><tr><td width=""45%""><strong>Receiver&#39;s Signature</strong></td><td width=""10%""></td>" & _
            "<td align=""right"" width=""45%""><strong>For " & ds.Tables(0).Rows(i).Item("comp_name") & "</strong></td></tr></table></td></tr></table></div>"
        Next

        '    Label1.Text = "<div style=""border: 2px solid #000000""><table style=""width: 100%;""><tr><td><table style=""width:100%;""><tr><td width=""45%"">" & _
        '        "<strong>Month :</strong></td><td width=""10%""></td><td width=""45%""></td></tr><tr><td><strong>Employee Name :</strong> BRUNDABAN SAHOO</td><td></td>" & _
        '        "<td><strong>Designation :</strong> BRUNDABAN SAHOO</td></tr><tr><td><strong>Employee Id :</strong> BRUNDABAN SAHOO</td><td></td><td><strong>UAN No :</strong>" & _
        '        "BRUNDABAN SAHOO</td></tr><tr><td><strong>Total Days :</strong> 31 </td><td></td><td><strong>Payable Days :</strong> 31</td></tr></table></td></tr><tr><td>" & _
        '        "<table style=""width:100%;"" border=""1""><tr><td align=""center"" width=""30%""><b>Description</b></td><td align=""center"" width=""17.5%""><strong>Amount" & _
        '        "</strong></td><td align=""center""width=""5%""></td><td align=""center"" width=""30%""><strong>Description</strong></td><td width=""17.5%"" align=""center"">" & _
        '        "<strong>Amount</strong></td></tr></table></td></tr><tr><td><table style=""width:100%;""><tr><td width=""30%"">Basic Salary</td><td align=""right"" width=""17.5%"">" & _
        '        "1200.00</td><td align=""center"" width=""5%""></td><td align=""left"" width=""30%"">EPF</td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr>" & _
        '        "<td width=""30%"">HRA</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%"">ESIC</td><td width=""17.5%"" " & _
        '        "align=""right"">&nbsp;</td></tr><tr><td width=""30%"">Washing Allowance</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td>" & _
        '        "<td width=""30%"">PT</td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">Special Allowance</td><td align=""right"" " & _
        '        "width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%"">TDS</td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr>" & _
        '        "<td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%"">Loan / Advance</td>" & _
        '        "<td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td " & _
        '        "width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" " & _
        '        "width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr></table></td></tr><tr><td><table style=""width:100%;"" border=""1""><tr><td align=""left"" width=""30%""><strong>TotalEarnings</strong></td><td align=""right"" width=""17.5%"">145000.00</td><td align=""center"" width=""5%""></td><td align=""left"" width=""30%""><strong>Total Deduction</strong></td><td width=""17.5%"" align=""right"">1500.00</td></tr></table></td></tr><tr><td>Net Payable : 41,456.00</td></tr><tr><td>In Words :</td></tr><tr><td></td></tr><tr><td></td></tr><tr><td><table style=""width:100%;""><tr><td width=""45%""><strong>Receiver&#39;s Signature</strong></td><td width=""10%""></td><td align=""right"" width=""45%""><strong>For Evos Buildcon Pvt. Ltd.</strong></td></tr></table></td></tr></table></div><br/>"

        '    Label1.Text = Label1.Text & "<div style=""border: 2px solid #000000; width: 100%""><table style=""width: 100%;""><tr><td><table style=""width:100%;""><tr><td width=""45%"">" & _
        '        "<strong>Month :</strong></td><td width=""10%""></td><td width=""45%""></td></tr><tr><td><strong>Employee Name :</strong> BRUNDABAN SAHOO</td><td></td>" & _
        '        "<td><strong>Designation :</strong> BRUNDABAN SAHOO</td></tr><tr><td><strong>Employee Id :</strong> BRUNDABAN SAHOO</td><td></td><td><strong>UAN No :</strong>" & _
        '        "BRUNDABAN SAHOO</td></tr><tr><td><strong>Total Days :</strong> 31 </td><td></td><td><strong>Payable Days :</strong> 31</td></tr></table></td></tr><tr><td>" & _
        '        "<table style=""width:100%;"" border=""1""><tr><td align=""center"" width=""30%""><b>Description</b></td><td align=""center"" width=""17.5%""><strong>Amount" & _
        '        "</strong></td><td align=""center""width=""5%""></td><td align=""center"" width=""30%""><strong>Description</strong></td><td width=""17.5%"" align=""center"">" & _
        '        "<strong>Amount</strong></td></tr></table></td></tr><tr><td><table style=""width:100%;""><tr><td width=""30%"">Basic Salary</td><td align=""right"" width=""17.5%"">" & _
        '        "1200.00</td><td align=""center"" width=""5%""></td><td align=""left"" width=""30%"">EPF</td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr>" & _
        '        "<td width=""30%"">HRA</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%"">ESIC</td><td width=""17.5%"" " & _
        '        "align=""right"">&nbsp;</td></tr><tr><td width=""30%"">Washing Allowance</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td>" & _
        '        "<td width=""30%"">PT</td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">Special Allowance</td><td align=""right"" " & _
        '        "width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%"">TDS</td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr>" & _
        '        "<td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%"">Loan / Advance</td>" & _
        '        "<td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td " & _
        '        "width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" " & _
        '        "width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr><tr><td width=""30%"">&nbsp;</td><td align=""right"" width=""17.5%"">&nbsp;</td><td width=""5%""></td><td width=""30%""></td><td width=""17.5%"" align=""right"">&nbsp;</td></tr></table></td></tr><tr><td><table style=""width:100%;"" border=""1""><tr><td align=""left"" width=""30%""><strong>TotalEarnings</strong></td><td align=""right"" width=""17.5%"">145000.00</td><td align=""center"" width=""5%""></td><td align=""left"" width=""30%""><strong>Total Deduction</strong></td><td width=""17.5%"" align=""right"">1500.00</td></tr></table></td></tr><tr><td>Net Payable : 41,456.00</td></tr><tr><td>In Words :</td></tr><tr><td></td></tr><tr><td></td></tr><tr><td><table style=""width:100%;""><tr><td width=""45%""><strong>Receiver&#39;s Signature</strong></td><td width=""10%""></td><td align=""right"" width=""45%""><strong>For Evos Buildcon Pvt. Ltd.</strong></td></tr></table></td></tr></table></div><br/>"
    End Sub
End Class
